#!/bin/sh
# Helper script for annotate buttons
#
# $1 is the pname to annotate
# $2 is the element name (i.e. $1 might be foo.c@@/main/7, $2 is foo.c)
# $3 is the editor script to run
# $4-n are options to annotate

PN="$1"
ELEM="$2"
ANN_EDITOR="$3"
shift 3

LEAF=`basename $ELEM`

if cleartool lsco -s -cview $ELEM | grep . >/dev/null ; then
    # checked-out -- warn about -nco
    if clearprompt proceed -prompt "Warning: $LEAF is checked-out.
Only checked-in versions can be annotated.

Annotate 'checkedout from' version instead?" -prefer_gui ; then
	cleartool annotate -nco $* $PN
    else
	echo 'Command Aborted'
	exit 1
    fi
else
    if cleartool annotate $* $PN ; then
	if clearprompt yes_no -type ok -mask yes,no -prompt "Result is $LEAF.ann
	Display now?" -prefer_gui ; then
	    # run editor script
	    $ANN_EDITOR $ELEM.ann &
	fi
    else
	exit 1
    fi
fi

exit 0
